aboutsummaryrefslogtreecommitdiff
path: root/sys/libs
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-16 00:27:25 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-16 00:27:25 +0000
commitbf40ee7a022ef630a01aff805c2e480b47353301 (patch)
tree9b63c7a2691abc6b1ac892728b46832c3fa24c72 /sys/libs
parent7e7cc6a75926584999836bbcb32b1e6415009d66 (diff)
downloadslackbuilds-bf40ee7a022ef630a01aff805c2e480b47353301.tar.gz
slackbuilds-bf40ee7a022ef630a01aff805c2e480b47353301.tar.bz2
movendo libs...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@706 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'sys/libs')
-rwxr-xr-xsys/libs/libraw1394/libraw1394.SlackBuild119
-rw-r--r--sys/libs/libsafe/doinst.sh57
-rw-r--r--sys/libs/libsafe/doinst64.sh57
-rwxr-xr-xsys/libs/libsafe/libsafe.SlackBuild74
-rw-r--r--sys/libs/libsafe/slack-desc19
5 files changed, 326 insertions, 0 deletions
diff --git a/sys/libs/libraw1394/libraw1394.SlackBuild b/sys/libs/libraw1394/libraw1394.SlackBuild
new file mode 100755
index 00000000..2b42e168
--- /dev/null
+++ b/sys/libs/libraw1394/libraw1394.SlackBuild
@@ -0,0 +1,119 @@
+#!/bin/bash
+#
+# slackbuild script for libraw1394
+# by rafael at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building libraw1394 are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="libraw1394"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=1.2.1}
+BUILD=${BUILD:=1rd}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://www.linux1394.org/dl/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+libraw1394: libraw1394 (provides direct access to the IEEE 1394 bus)
+libraw1394:
+libraw1394: Libraw1394 provides direct access to the IEEE 1394 bus through the
+libraw1394: Linux 1394 subsystem's raw1394 user space interface.
+libraw1394:
+libraw1394:
+libraw1394:
+libraw1394:
+libraw1394: http://linux1394.sourceforge.net/
+libraw1394:
+libraw1394:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+mv usr/doc/* usr/doc/$PACKAGE-$VERSION
+
+for file in ChangeLog COPYING.LIB AUTHORS NEWS README ;do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/sys/libs/libsafe/doinst.sh b/sys/libs/libsafe/doinst.sh
new file mode 100644
index 00000000..813767b3
--- /dev/null
+++ b/sys/libs/libsafe/doinst.sh
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# libmove sourcelib targetlib
+#
+# This allows you to move a new shared library into place,
+# even on a running system.
+libmove() {
+ LIBSOURCE=$1
+ LIBTARGET=$2
+ LIBFOO="`dirname $LIBTARGET`/libfoo.so.0.0.0"
+ # link duplicate of target lib so we can safely copy over it:
+ if [ -r $LIBTARGET ]; then
+ cp -a $LIBTARGET $LIBFOO
+ if [ -x /sbin/ldconfig ]; then
+ ldconfig -l $LIBFOO 2> /dev/null
+ fi
+ fi
+ mv $LIBSOURCE $LIBTARGET
+ if [ -x /sbin/ldconfig ]; then
+ ldconfig -l $LIBTARGET 2> /dev/null
+ fi
+ rm -f $LIBFOO
+}
+
+# Before using libmove, try to install everything we can:
+( cd lib/incoming
+ for file in * ; do
+ if [ ! -r ../$file ]; then
+ cp -a $file ..
+ fi
+ done )
+# Prepare the library for use with ldconfig:
+if [ -x sbin/ldconfig ]; then
+ chroot . /sbin/ldconfig
+fi
+
+( cd lib/incoming
+ for file in * ; do
+ libmove $file ../$file
+ done )
+#### Now, get rid of the temporary directory:
+rm -rf lib/incoming
+
+# add the library to /etc/ld.so.preload:
+if fgrep libsafe.so.2 etc/ld.so.preload 1> /dev/null 2> /dev/null ; then
+ GOOD=we_found_it
+else
+ echo "/lib/libsafe.so.2" >> etc/ld.so.preload
+fi
+
+# Prepare the library for use with ldconfig:
+if [ -x sbin/ldconfig ]; then
+ chroot . /sbin/ldconfig
+else # In case there's no ldconfig, make the links manually:
+ ( cd lib ; rm -rf libsafe.so.2 )
+ ( cd lib ; ln -sf libsafe.so.2.0.9 libsafe.so.2 )
+fi
diff --git a/sys/libs/libsafe/doinst64.sh b/sys/libs/libsafe/doinst64.sh
new file mode 100644
index 00000000..a5d753a9
--- /dev/null
+++ b/sys/libs/libsafe/doinst64.sh
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# libmove sourcelib targetlib
+#
+# This allows you to move a new shared library into place,
+# even on a running system.
+libmove() {
+ LIBSOURCE=$1
+ LIBTARGET=$2
+ LIBFOO="`dirname $LIBTARGET`/libfoo.so.0.0.0"
+ # link duplicate of target lib so we can safely copy over it:
+ if [ -r $LIBTARGET ]; then
+ cp -a $LIBTARGET $LIBFOO
+ if [ -x /sbin/ldconfig ]; then
+ ldconfig -l $LIBFOO 2> /dev/null
+ fi
+ fi
+ mv $LIBSOURCE $LIBTARGET
+ if [ -x /sbin/ldconfig ]; then
+ ldconfig -l $LIBTARGET 2> /dev/null
+ fi
+ rm -f $LIBFOO
+}
+
+# Before using libmove, try to install everything we can:
+( cd lib64/incoming
+ for file in * ; do
+ if [ ! -r ../$file ]; then
+ cp -a $file ..
+ fi
+ done )
+# Prepare the library for use with ldconfig:
+if [ -x sbin/ldconfig ]; then
+ chroot . /sbin/ldconfig
+fi
+
+( cd lib64/incoming
+ for file in * ; do
+ libmove $file ../$file
+ done )
+#### Now, get rid of the temporary directory:
+rm -rf lib64/incoming
+
+# add the library to /etc/ld.so.preload:
+if fgrep libsafe.so.2 etc/ld.so.preload 1> /dev/null 2> /dev/null ; then
+ GOOD=we_found_it
+else
+ echo "/lib64/libsafe.so.2" >> etc/ld.so.preload
+fi
+
+# Prepare the library for use with ldconfig:
+if [ -x sbin/ldconfig ]; then
+ chroot . /sbin/ldconfig
+else # In case there's no ldconfig, make the links manually:
+ ( cd lib64 ; rm -rf libsafe.so.2 )
+ ( cd lib64 ; ln -sf libsafe.so.2.0.9 libsafe.so.2 )
+fi
diff --git a/sys/libs/libsafe/libsafe.SlackBuild b/sys/libs/libsafe/libsafe.SlackBuild
new file mode 100755
index 00000000..2dd83b40
--- /dev/null
+++ b/sys/libs/libsafe/libsafe.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/bash
+#
+# got it from ftp://ftp.slackware.com/pub/slackware/slackware-10.2/extra/source/libsafe-2.0-16/libsafe.SlackBuild
+# small changes by rhatto
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+PACKAGE="libsafe"
+ARCH=${ARCH:=i486}
+BUILD=${BUILD:=1rha}
+TMP=${TMP:=/tmp}
+VERSION=2.0.16
+SRCPKG=2.0-16
+SRC_DIR=${SRC:=$CWD}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=lib64
+ DOINST="doinst64.sh"
+else
+ LIBDIR=lib
+ DOINST="doinst.sh"
+fi
+
+RTOOL="wget"
+SRC="$PACKAGE-$SRCPKG.tar.gz"
+URL="ftp://ftp.slackware.com/pub/slackware/slackware-10.2/extra/source/libsafe-$SRCPKG/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+PKG=$TMP/package-$PACKAGE
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xzvf $SRC_DIR/$SRC
+cd libsafe-$SRCPKG
+
+chown -R root.root .
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+make || exit 32
+mkdir -p $PKG/$LIBDIR/incoming
+cat src/libsafe.so.$VERSION > $PKG/$LIBDIR/incoming/libsafe.so.$VERSION
+chmod 755 $PKG/$LIBDIR/incoming/libsafe.so.$VERSION
+mkdir $PKG/install
+cat $CWD/$DOINST > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+mkdir -p $PKG/usr/doc/libsafe-$VERSION
+cp -a \
+ COPYING ChangeLog EMAIL_NOTIFICATION INSTALL README doc \
+ $PKG/usr/doc/libsafe-$VERSION
+mkdir -p $PKG/usr/man/man8
+cat doc/libsafe.8 | gzip -9c > $PKG/usr/man/man8/libsafe.8.gz
+cd $PKG
+makepkg -l y -c n $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/sys/libs/libsafe/slack-desc b/sys/libs/libsafe/slack-desc
new file mode 100644
index 00000000..5cf1c752
--- /dev/null
+++ b/sys/libs/libsafe/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libsafe: libsafe
+libsafe:
+libsafe: The libsafe library protects a process against the exploitation of
+libsafe: buffer overflow vulnerabilities in process stacks and against format
+libsafe: string exploits. Libsafe works with any existing pre-compiled
+libsafe: executable and can be used transparently, even on a system-wide basis.
+libsafe: The method intercepts all calls to library functions that are known to
+libsafe: be vulnerable. Libsafe has been shown to detect several known attacks
+libsafe: and can potentially prevent yet unknown attacks. Experiments indicate
+libsafe: that the performance overhead of libsafe is negligible.
+libsafe: